Skip to content
You're viewing documentation for v2026.11.10-beta. It may be out of date.Go to latest
TimescaleDB Enterprise
Esc
↑↓navigate↵open⌘Jpreview

Free emergency space

Set the cluster read-only and delete one balloon file on a node.

POST/api/v1/database-services/{id}/emergency-space
Authorization
tse_sessionAPI key · cookierequired
Path parameters
idstringrequired
Request body
requiredapplication/json
filesstring[]

Balloon files to delete; empty deletes the first present file

server_idstring

PostgreSQL node whose balloon files are deleted

Responses
200

OK

available_bytesinteger<int64>
freed_before_read_onlyboolean

A reserve file on the leader was deleted before read-only because the disk that holds postgresql.conf was full

freed_bytesinteger<int64>required
freed_filesstring[]required
freed_root_filestring

Root reserve file deleted on the leader before read-only because the disk that holds postgresql.conf (not the data disk) was full

read_onlybooleanrequired
warningstring
default

Error

codestring

Stable code of the refusal, when the route has codes

detailsstring[]

Additional detail, e.g. per-field validation failures

errorstringrequired

Human-readable error message

Request
curl -X POST 'https://console.example.com/api/v1/database-services/string/emergency-space' \
  -H 'Cookie: tse_session=YOUR_API_KEY' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "files": [
    "string"
  ],
  "server_id": "string"
}'
Response
{
  "available_bytes": 0,
  "freed_before_read_only": true,
  "freed_bytes": 0,
  "freed_files": [
    "string"
  ],
  "freed_root_file": "string",
  "read_only": true,
  "warning": "string"
}